/**
 * Copyright (C) 2010 Cloudfarming <info@cloudfarming.nl>
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package nl.cloudfarming.client.stock;

import java.util.List;
import nl.cloudfarming.client.model.CropProtection;

/**
 * <p>
 * Services who provide access to crop protection lists (list with definitions
 * of crop protections, and not the actual pesticides) should implement this
 * interface and make themselves know by registering a ServiceProvider, ie 
 * add @ServiceProvider(service=CropProtectionService.class) 
 * </p><p>
 * <b>Warning</b> This interface is not meant to access CropProtections directly
 * 
 * @author Merijn Zengers
 */
public interface CropProtectionService {

    /**
     * Find the CropProtections for the crop 
     * @param crop
     * @return 
     */
    public List<CropProtection> getCropProtections();
}
