/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
/**
 * Copyright (C) 2010 Cloudfarming <info@cloudfarming.nl>
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package nl.cloudfarming.client.stock.offline;

import java.io.ByteArrayInputStream;
import javax.xml.bind.JAXBContext;
import javax.xml.bind.JAXBElement;
import javax.xml.bind.JAXBException;
import javax.xml.bind.Unmarshaller;
import nl.cloudfarming.client.logging.AppLogFactory;
import nl.cloudfarming.client.logging.AppLogger;
import nl.cloudfarming.client.model.CommonModelService;
import nl.cloudfarming.client.model.CropProtectionMessage;

/**
 * Marshaller for the cropProtection entity
 * @author Merijn Zengers
 */
public class OfflineMarshaller {
    
    private static final AppLogger LOG = AppLogFactory.getLogger(CommonModelService.class);
    private final String PACKAGE_NAME = "nl.cloudfarming.client.model";
    
    
    /**
     * Unmarshal String containing xml to a CropProtection object
     * @param XML the String to unmarshall
     * @return A CropProtectionMessage entity
     */
    public CropProtectionMessage unMarshall(String XML){
        JAXBContext jc;
        CropProtectionMessage created = null;
        try {
            jc = JAXBContext.newInstance(PACKAGE_NAME);
            Unmarshaller unmarshaller =jc.createUnmarshaller();
            ByteArrayInputStream in = new ByteArrayInputStream(XML.getBytes());
            
            
            JAXBElement element = (JAXBElement) unmarshaller.unmarshal(in);
            created = (CropProtectionMessage) element.getValue();
        } catch (JAXBException ex) {
            LOG.error("Failed to convert xml from webservice to CropProtection object", ex);
        }
        return created;
    }
}
